Skip to main content
GET
/
commands
/
schedules
List All Schedules
curl --request GET \
  --url https://analyst.heyhumm.ai/commands/schedules \
  --header 'Authorization: Bearer <token>'
[
  {
    "command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "cron_expression": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "next_run_time": "2023-11-07T05:31:56Z",
    "last_run_time": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "timezone": "UTC",
    "enabled": true,
    "name": "<string>",
    "run_mode": "per_subscriber",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string
required

Response

Successful Response

command_id
string<uuid>
required

ID of the command to execute

organization_id
string<uuid>
required

Organization ID

cron_expression
string
required

Cron expression (e.g., '0 9 * * 1' for Monday 9am)

id
string<uuid>
required
next_run_time
string<date-time>
required
last_run_time
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
timezone
string
default:UTC

Timezone for cron evaluation

enabled
boolean
default:true

Whether the schedule is active

name
string | null
run_mode
string
default:per_subscriber
created_by_user_id
string<uuid> | null